"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const transformer_1 = require("./transformer");
const renderPage = (page) => {
    const createBodyContent = transformer_1.transformRawStringToHtml({
        customComponents: {},
        props: {},
    });
    const bodyContent = createBodyContent(page.content);
    const headContent = transformer_1.createHeadContent(page.metaData);
    return {
        name: page.name,
        html: transformer_1.combine({
            head: headContent,
            body: bodyContent,
        }),
    };
};
const render = async ({ pages = [] }, _opts) => {
    return pages.map(renderPage);
};
exports.render = render;
