"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizerSourcePath = (src, isLocal) => {
    const isIgnorePattern = !!src.match(/^https?\:\/\//);
    if (isLocal && src.match(/^\//)) {
        return src.replace(/^\//, "./");
    }
    if (isLocal && !src.match(/^\.\//) && !isIgnorePattern) {
        return `./${src}`;
    }
    if (!isLocal && src.match(/^\.\//)) {
        return src.replace(/^\.\//, "/");
    }
    if (!isLocal && !src.match(/^\//) && !isIgnorePattern) {
        return `/${src}`;
    }
    return src;
};
